Summary: A PPTP server daemon.
Name: pptpd
Version: 1.1.3
Release: 11tr
License: GPL
Group: Trustix Official
Source: http://www.poptop.org/releases/%{name}-%{version}.tar.gz
Source1: pptpd.init
Source2: pptpd.options
Patch0: pptpd-overflow.patch
Buildroot: %{_tmppath}/%{name}-root
Requires: ppp
BuildRequires: rpm >= 3.0.5

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%prep
%setup -q
%patch -p1

%build
%configure
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/etc/ppp
make DESTDIR="$RPM_BUILD_ROOT" install
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf
mkdir -p $RPM_BUILD_ROOT%{_initdir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/pptpd
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/ppp/options.pptpd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples
%{_prefix}/sbin/pptpd
%{_prefix}/sbin/pptpctrl
%{_initdir}/pptpd
%{_prefix}/share/man/man5/pptpd.conf.5.gz
%{_prefix}/share/man/man8/pptpd.8.gz
%{_prefix}/share/man/man8/pptpctrl.8.gz
%config(noreplace) /etc/pptpd.conf
%config(noreplace) /etc/ppp/options.pptpd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 1.1.3-9tr
- New upstream.

* Thu Jul 10 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-8tr
- Oops, init script was also shipped as .options.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-7tr
- Big rebuild

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-6em
- Now with default options.pptpd

* Sat May  3 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-5em
- Added patch to protect against overflow in ctrlpacket.c.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-4em
- Rebuilt against glibc 2.3.2.

* Thu Jan  9 2003 Erlend Midttun <erlendbm at trustix dot com> 1.1.3-3em
- Use _initdir macro.
- Remove config(noreplace) on initscript.
- Add config(noreplace) on config file.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 1.1.3-2ct
- initscript now uses $INITLOCK

* Sat Sep 28 2002 Gerald Dachs <gda at trustix dot org> 1.1.3-1gd
- new package

